Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in webkit2gtk3
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in webkit2gtk3
ID: SUSE-SU-2020:2199-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Desktop Applications 15-SP2, SUSE Linux Enterprise Module for Basesystem 15-SP2
Datum: Di, 11. August 2020, 22:03
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9862
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9893
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9915
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9925
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9894
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9895
Applikationen: webkit2gtk3

Originalnachricht


SUSE Security Update: Security update for webkit2gtk3
______________________________________________________________________________

Announcement ID: SUSE-SU-2020:2199-1
Rating: important
References: #1174662
Cross-References: CVE-2020-9862 CVE-2020-9893 CVE-2020-9894
CVE-2020-9895 CVE-2020-9915 CVE-2020-9925

Affected Products:
SUSE Linux Enterprise Module for Desktop Applications
15-SP2
SUSE Linux Enterprise Module for Basesystem 15-SP2
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:

This update for webkit2gtk3 fixes the following issues:

- Update to version 2.28.4 (bsc#1174662):
+ Fix several crashes and rendering issues.
+ Security fixes: CVE-2020-9862, CVE-2020-9893, CVE-2020-9894,
CVE-2020-9895, CVE-2020-9915, CVE-2020-9925.


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Desktop Applications 15-SP2:

zypper in -t patch
SUSE-SLE-Module-Desktop-Applications-15-SP2-2020-2199=1

- SUSE Linux Enterprise Module for Basesystem 15-SP2:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2020-2199=1



Package List:

- SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (aarch64
ppc64le s390x x86_64):

typelib-1_0-JavaScriptCore-4_0-2.28.4-3.6.1
typelib-1_0-WebKit2-4_0-2.28.4-3.6.1
typelib-1_0-WebKit2WebExtension-4_0-2.28.4-3.6.1
webkit2gtk3-debugsource-2.28.4-3.6.1
webkit2gtk3-devel-2.28.4-3.6.1

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x
x86_64):

libjavascriptcoregtk-4_0-18-2.28.4-3.6.1
libjavascriptcoregtk-4_0-18-debuginfo-2.28.4-3.6.1
libwebkit2gtk-4_0-37-2.28.4-3.6.1
libwebkit2gtk-4_0-37-debuginfo-2.28.4-3.6.1
webkit2gtk-4_0-injected-bundles-2.28.4-3.6.1
webkit2gtk-4_0-injected-bundles-debuginfo-2.28.4-3.6.1
webkit2gtk3-debugsource-2.28.4-3.6.1

- SUSE Linux Enterprise Module for Basesystem 15-SP2 (noarch):

libwebkit2gtk3-lang-2.28.4-3.6.1


References:

https://www.suse.com/security/cve/CVE-2020-9862.html
https://www.suse.com/security/cve/CVE-2020-9893.html
https://www.suse.com/security/cve/CVE-2020-9894.html
https://www.suse.com/security/cve/CVE-2020-9895.html
https://www.suse.com/security/cve/CVE-2020-9915.html
https://www.suse.com/security/cve/CVE-2020-9925.html
https://bugzilla.suse.com/1174662

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung